View Issue Details

IDProjectCategoryView StatusLast Update
0000384FreeCADFeaturepublic2012-03-28 15:59
Reporteryorik Assigned Toyorik  
PrioritylowSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version0.13Fixed in Version0.13 
Summary0000384: Arch module - add windows and doors
Description- Add basic window object
- Add basic door object (subclass of window)
- Allow doors and windows to be placed inside a wall (create an opening in the wall)
- Allow doors and windows to be removed from a wall (staying "standalone")
TagsNo tags attached.
FreeCAD Information

Activities

yorik

2012-03-28 15:59

administrator   ~0001827

This is basically done & working now.

- windows can be made based on a sketch (or any other 2D shape)
- they have an editmode interface to specify how to build windows
  components from the wires contained in the base shape
- doors can be made exactly the same way with the same tool
- they can be included and removed in/from walls

Issue History

Date Modified Username Field Change
2011-06-25 13:34 yorik New Issue
2011-06-25 13:34 yorik Status new => assigned
2011-06-25 13:34 yorik Assigned To => yorik
2011-10-15 14:07 yorik Priority normal => low
2011-10-15 14:07 yorik Target Version 0.12 => 0.13
2012-03-28 15:59 yorik Note Added: 0001827
2012-03-28 15:59 yorik Status assigned => closed
2012-03-28 15:59 yorik Resolution open => fixed
2012-03-28 15:59 yorik Fixed in Version => 0.13